# lua/lparser.h File Reference

`#include "llimits.h"`
`#include "lobject.h"`
`#include "lzio.h"`

Include dependency graph for lparser.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | expdesc
struct | upvaldesc
struct | FuncState

## Enumerations

enum | expkind { VVOID, VNIL, VTRUE, VFALSE, VK, VKNUM, VLOCAL, VUPVAL, VGLOBAL, VINDEXED, VJMP, VRELOCABLE, VNONRELOC, VCALL, VVARARG }

## Functions

Proto * | luaY_parser (lua_State *L, ZIO *z, Mbuffer *buff, const char *name)

## Enumeration Type Documentation

enum expkind

Enumerator:

  VVOID |
  VNIL |
  VTRUE |
  VFALSE |
  VK |
  VKNUM |
  VLOCAL |
  VUPVAL |
  VGLOBAL |
  VINDEXED |
  VJMP |
  VRELOCABLE |
  VNONRELOC |
  VCALL |
  VVARARG |

Definition at line 19 of file lparser.h.

## Function Documentation

Proto* luaY_parser | ( | lua_State * | L,
|  | ZIO * | z,
|  | Mbuffer * | buff,
|  | const char * | name |
| ) |  |  |

Definition at line 383 of file lparser.c.

References LexState::buff, check, chunk(), close_func(), FuncState::f, LexState::fs, Proto::is_vararg, lua_assert, luaS_new, luaX_next(), luaX_setinput(), Proto::nups, open_func(), FuncState::prev, TK_EOS, and VARARG_ISVARARG.

Referenced by f_parser().